summaryrefslogtreecommitdiffstats
path: root/libraries/sord
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2012-08-21 18:38:29 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2012-08-21 18:38:29 +0200
commitbfea04f2923925b848e27e0581ba1b26115cff2f (patch)
treebea95be3b0c5fe163606b40fba653c0eb030b7bf /libraries/sord
parentbad8a5af6be83f7ebf3cbff5d1ab267d2401ddcc (diff)
downloadslackbuilds-bfea04f2923925b848e27e0581ba1b26115cff2f.tar.gz
slackbuilds-bfea04f2923925b848e27e0581ba1b26115cff2f.tar.xz
libraries/sord: Added (Lightweight RDF Storing library)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'libraries/sord')
-rw-r--r--libraries/sord/README1
-rw-r--r--libraries/sord/slack-desc19
-rw-r--r--libraries/sord/sord.SlackBuild96
-rw-r--r--libraries/sord/sord.info10
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/sord/README b/libraries/sord/README
new file mode 100644
index 0000000000..9b900af140
--- /dev/null
+++ b/libraries/sord/README
@@ -0,0 +1 @@
+Sord is a lightweight C library for storing RDF data in memory.
diff --git a/libraries/sord/slack-desc b/libraries/sord/slack-desc
new file mode 100644
index 0000000000..2c601d2e70
--- /dev/null
+++ b/libraries/sord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sord: sord (Lightweight RDF Storing library)
+sord:
+sord: Sord is a lightweight C library for storing RDF data in memory.
+sord:
+sord: Homepage: http://drobilla.net/software/sord/
+sord:
+sord:
+sord:
+sord:
+sord:
+sord:
diff --git a/libraries/sord/sord.SlackBuild b/libraries/sord/sord.SlackBuild
new file mode 100644
index 0000000000..7d59746a8f
--- /dev/null
+++ b/libraries/sord/sord.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for sord
+
+# Copyright 2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sord
+VERSION=0.8.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --configdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+./waf
+
+./waf install \
+ --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS PACKAGING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/sord/sord.info b/libraries/sord/sord.info
new file mode 100644
index 0000000000..6d90f7c5f7
--- /dev/null
+++ b/libraries/sord/sord.info
@@ -0,0 +1,10 @@
+PRGNAM="sord"
+VERSION="0.8.0"
+HOMEPAGE="http://drobilla.net/software/sord/"
+DOWNLOAD="http://download.drobilla.net/sord-0.8.0.tar.bz2"
+MD5SUM="62be6a2cd6e9bc2933d1297afeacda30"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="serd"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"